local HUGE_SPOT = 4.0
local MEDIUM_SPOT = 2.0
local STARTING_SPOT = 2.0

--Startpoint metal values increased for teamgames
if #Spring.GetTeamList(0) > 1 or #Spring.GetTeamList(1) > 1 then
    STARTING_SPOT = 3.0
	MEDIUM_SPOT = 2.5
	HUGE_SPOT = 4.5
end

--Spots to be mirrored
mirroredSpots =
                {
                 {200, 4920, STARTING_SPOT},
                 {400, 4880, STARTING_SPOT},
                 {240, 4720, STARTING_SPOT},

--New spots in version 1.1		
                 {1640, 5040, MEDIUM_SPOT},
                 {80, 3480, MEDIUM_SPOT},
	
--				 {2470, 4645, MEDIUM_SPOT},
--				 {475, 2650, MEDIUM_SPOT},
				 {305, 2470, MEDIUM_SPOT},
				 {2500, 4535, MEDIUM_SPOT},
				 
                 {5040, 3720, MEDIUM_SPOT},
                 {3720, 5040, MEDIUM_SPOT},
			
--Old spots that were in version 1.0			
--[[				 
                 {2560, 5040, MEDIUM_SPOT},
                 {80, 2560, MEDIUM_SPOT},
                 {3370, 5040, MEDIUM_SPOT},
                 {80, 1750, MEDIUM_SPOT},
				 
                 {3370, 5040, MEDIUM_SPOT},
                 {80, 1750, MEDIUM_SPOT},
--]]        
				 
                 {2075, 2812, MEDIUM_SPOT},
                 {1514, 2598, MEDIUM_SPOT},
                 {2360, 3328, MEDIUM_SPOT},
                 
                 {4920, 4920, HUGE_SPOT},
                } 
                
--Spots that won't be mirrored
unmirroredSpots =
                {
                }


--Mirror the spots and add them to the metal layout
mirroredSpotCount = #mirroredSpots

for i = 1, mirroredSpotCount do
    mirroredSpots[#mirroredSpots+1] = {
                                       Game.mapSizeX - mirroredSpots[i][1],
                                       Game.mapSizeZ - mirroredSpots[i][2],
                                       mirroredSpots[i][3]
                                      }
end

--Then add the unmirrored spots to the metal layout
for i=1,#unmirroredSpots do
    mirroredSpots[#mirroredSpots+1] = unmirroredSpots[i]
end


--Return the spots in a readable form
finalizedSpots = {}

for i = 1, #mirroredSpots do
    finalizedSpots[i] = {
                         x = mirroredSpots[i][1],
                         z = mirroredSpots[i][2],
                         metal = mirroredSpots[i][3]
                        }
end

return {spots = finalizedSpots}